#include <stdint.h>

extern void scanKeyboard();
extern void writeVideo();
extern uint8_t readVideo();
extern uint8_t videoX;
extern uint8_t videoY;
extern uint8_t videoMode;
extern uint8_t videoA;

static int8_t ram[RAMSIZE + 1];
static int8_t rom[ROMSIZE + 1];

static uint8_t systemRegister;
static uint8_t keyboardResult;


uint8_t read6502(uint16_t address);
void write6502(uint16_t address, uint8_t value);
